Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

PHPNews < 1.2.5 auth.php path Parameter Remote File Inclusion

Medium

Synopsis

The remote host may be tricked into running an executable file.

Description

The remote host is running a version of PHPNews, an open source news application, that has a remote file inclusion vulnerability in auth.php. By leveraging this flaw, a attacker can cause arbitrary PHP code to be executed on the remote host using the permissions of the web server user.

Solution

Upgrade to version 1.2.5 or higher.